Browser compatibility for Jmol pages

This tutorial will run in any operating system and browser that supports Java. It is difficult to compile a list of compatible configurations, but you should have no problem using common modern browsers, as long as you have installed Java (version 1.4 or later).

Java is included on some systems, or else you can download it from Sun's Java web site.

Some compatible configurations are:

Windows (98, Me, 2000, XP, Vista)

Linux

Mac OSX (10.3 or higher)

Note 1: If Jmol is not working with Mozilla or Firefox on Mac, you can try this trick:

  1. Go to http://waterontheweb.org/data/java/trouble.html and check that your browser is using a Java version below 1.4.
  2. Download JavaPlugin from SourceForge and uncompress it. (The Java Embedding Plugin allows web browsers other than Apple's Safari to use the most recent versions of Java (1.4.x and 1.5.x) on Mac OS X.)
  3. Close all Firefox or Mozilla browser windows.
  4. Move the files you just uncompressed, JavaEmbeddingPlugin.bundle and MRJPlugin.plugin to the /Library/Internet Plugins folder.
  5. Start Firefox or Mozilla again, and visit http://waterontheweb.org/data/java/trouble.html again; now it should tell you that you have a Java version higher than 1.4.

 


How to find out your browser's version:

Open 'Help' menu (top-right in the window) and choose "About...".